vn.py官网
开源量化社区
Member
avatar
加入于:
帖子: 54
声望: 1

于是自己安装plotly,但是总是不成功,是什么原因,如何解决呢?

(VN Studio) C:\vnstudio>pip install plotly==4.14.2
Collecting plotly==4.14.2
Downloading plotly-4.14.2-py2.py3-none-any.whl (13.2 MB)
|█ | 419 kB 2.5 kB/s eta 1:23:32ERROR: Exception:
Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\pip_vendor\urllib3\response.py", line 438, in _error_catcher
yield
File "c:\vnstudio\lib\site-packages\pip_vendor\urllib3\response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "c:\vnstudio\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py", line 62, in read
data = self.__fp.read(amt)
File "c:\vnstudio\lib\http\client.py", line 447, in read
n = self.readinto(b)
File "c:\vnstudio\lib\http\client.py", line 491, in readinto
n = self.fp.readinto(b)
File "c:\vnstudio\lib\socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "c:\vnstudio\lib\ssl.py", line 1052, in recv_into
return self.read(nbytes, buffer)
File "c:\vnstudio\lib\ssl.py", line 911, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\pip_internal\cli\base_command.py", line 224, in _main
status = self.run(options, args)
File "c:\vnstudio\lib\site-packages\pip_internal\cli\req_command.py", line 180, in wrapper
return func(self, options, args)
File "c:\vnstudio\lib\site-packages\pip_internal\commands\install.py", line 321, in run
reqs, check_supported_wheels=not options.target_dir
File "c:\vnstudio\lib\site-packages\pip_internal\resolution\resolvelib\resolver.py", line 122, in resolve
requirements, max_rounds=try_to_avoid_resolution_too_deep,
File "c:\vnstudio\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 445, in resolve
state = resolution.resolve(requirements, max_rounds=max_rounds)
File "c:\vnstudio\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 339, in resolve
failure_causes = self._attempt_to_pin_criterion(name, criterion)
File "c:\vnstudio\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 207, in _attempt_to_pin_criterion
criteria = self._get_criteria_to_update(candidate)
File "c:\vnstudio\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 198, in _get_criteria_to_update
for r in self._p.get_dependencies(candidate):
File "c:\vnstudio\lib\site-packages\pip_internal\resolution\resolvelib\provider.py", line 172, in get_dependencies
for r in candidate.iter_dependencies(with_requires)
File "c:\vnstudio\lib\site-packages\pip_internal\resolution\resolvelib\provider.py", line 171, in <listcomp>
r
File "c:\vnstudio\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 257, in iter_dependencies
requires = self.dist.requires() if with_requires else ()
File "c:\vnstudio\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 239, in dist
self._prepare()
File "c:\vnstudio\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 226, in _prepare
dist = self._prepare_distribution()
File "c:\vnstudio\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 319, in _prepare_distribution
self._ireq, parallel_builds=True,
File "c:\vnstudio\lib\site-packages\pip_internal\operations\prepare.py", line 480, in prepare_linked_requirement
return self._prepare_linked_requirement(req, parallel_builds)
File "c:\vnstudio\lib\site-packages\pip_internal\operations\prepare.py", line 505, in _prepare_linked_requirement
self.download_dir, hashes,
File "c:\vnstudio\lib\site-packages\pip_internal\operations\prepare.py", line 257, in unpack_url
hashes=hashes,
File "c:\vnstudio\lib\site-packages\pip_internal\operations\prepare.py", line 130, in get_http_url
from_path, content_type = download(link, temp_dir.path)
File "c:\vnstudio\lib\site-packages\pip_internal\network\download.py", line 163, in call
for chunk in chunks:
File "c:\vnstudio\lib\site-packages\pip_internal\cli\progress_bars.py", line 168, in iter
for x in it:
File "c:\vnstudio\lib\site-packages\pip_internal\network\utils.py", line 88, in response_chunks
decode_content=False,
File "c:\vnstudio\lib\site-packages\pip_vendor\urllib3\response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "c:\vnstudio\lib\site-packages\pip_vendor\urllib3\response.py", line 541, in read
raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
File "c:\vnstudio\lib\contextlib.py", line 130, in exit
self.gen.throw(type, value, traceback)
File "c:\vnstudio\lib\site-packages\pip_vendor\urllib3\response.py", line 443, in _error_catcher
raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

Member
avatar
加入于:
帖子: 54
声望: 1

通过镜像站点安装成功了

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号